﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.Data;
using Telerik.WinControls.UI;

namespace _1055243GridFilteredValues
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nwindDataSet.Employees' table. You can move, or remove it, as needed.
            this.employeesTableAdapter.Fill(this.nwindDataSet.Employees);

            this.radGridView1.EnableFiltering = true;
            this.radGridView1.ShowHeaderCellButtons = true;

             

            FilterDescriptor filterDescriptor = new FilterDescriptor();
            filterDescriptor.PropertyName = "Title";
            filterDescriptor.Value = "Sales Representative";
            filterDescriptor.Operator = FilterOperator.IsNotEqualTo;
            
            CompositeFilterDescriptor cfd = new CompositeFilterDescriptor();
            cfd.LogicalOperator = FilterLogicalOperator.And;
            cfd.FilterDescriptors.Add(filterDescriptor);     
            cfd.IsFilterEditor = true;
            this.radGridView1.FilterDescriptors.Add(cfd);

            this.radGridView1.MasterTemplate.ExcelFilteredColumns.Add(this.radGridView1.Columns["Title"]);
            
        }
    }
}